#!/bin/bash

_PROJECT=$(cd "$(dirname "$(readlink -f "$0")")/../"; pwd);
_FLAG="$1";


cd $_PROJECT;
mkdir -p $_PROJECT/build/html;
mkdir -p $_PROJECT/build/node;

if [ "$_FLAG" == "--standard" ]; then
	node ./bin/build-project.js --standard;
elif [ "$_FLAG" == "--proposal" ]; then
	node ./bin/build-project.js --proposal;
else
	node ./bin/build-project.js;
fi;

echo "SUCCESS";
exit 0;

