
describe('Array.prototype.forEach', (assert, expect) => {

	let arr1 = [1,2,3,4,5];
	let arr2 = [1,2,3,4,5];
	let arr3 = [1,2,3,4,5];

	let cmp1 = function(element, index, self) {
		assert(element);
	};

	let cmp2 = function(element, index, self) {
		assert(index);
	};


	assert(arr1.forEach(cmp1));
	assert(arr2.forEach(cmp2));

	try {
		arr3.forEach();
	} catch(err) {
		assert((err).toString());
	}

	assert(arr1);
	assert(arr2);
	assert(arr3);

	assert(arr1.length);
	assert(arr2.length);
	assert(arr3.length);

});

